Hoax Clearing Center - Task #22792

Re: PCB & PCBA new designs
04/01/2021 03:04 PM - Kophi Kophi

Status: Closed Start date: 04/01/2021
Priority: Normal Due date:

Assignee: Riza Dwi % Done: 0%
Category: Estimated time: 0:00 hour
Sprint/Milestone:

Description

Dear Sir or Madam,
Hope this email find you well.»_*

We specialize in manufacturing of PCB , PCBA and PCBA accessories(electronic components).
Leadsintec focus on PCBA over 10years from OEM to ODM and can provide PCBA one-stop solution.

We are committing to providing unique product and service to our customers and make more convenience for them.

Frankly speaking , our price is very competitive because we are manufactory, we are the source.
If you are interested in our products, please contact us at any time.
We will be happy to give you a quotation upon receipt of your detailed requirements.

Kind Regards,
Kophi Chan

History

#1 - 06/23/2021 01:52 AM - Riza Dwi
- Status changed from Open to Closed

- Assignee changed from Aribowo Sasmito to Riza Dwi
